Package org.eclipse.ui.views.markers

# Class MarkerField

java.lang.Object
org.eclipse.ui.views.markers.MarkerField

public abstract class MarkerField extends Object
MarkerField is the abstract superclass of the definition of the content providers for columns in a Markers View.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`MarkerField()`

## Method Summary

Modifier and Type
Method
Description
`Image`
`annotateImage(MarkerItem item, Image image)`
Annotate the image with indicators for whether or not help or quick fix are available.
`int`
`compare(MarkerItem item1, MarkerItem item2)`
Compare item1 and item2 for sorting purposes.
`Image`
`getColumnHeaderImage()`
`String`
`getColumnHeaderText()`
Return the text to be displayed in the column header for this field.
`String`
`getColumnTooltipText()`
Return the text for the column tooltip.
`final IConfigurationElement`
`getConfigurationElement()`
Get the configuration element for the receiver.
`int`
`getDefaultColumnWidth(Control control)`
Get the number of characters that should be reserved for the receiver.
`EditingSupport`
`getEditingSupport(ColumnViewer viewer)`
Return the editing support for entries for this field.
`protected ResourceManager`
`getImageManager()`
Return the image manager used by the receiver.
`String`
`getName()`
Return the name of this field.
`abstract String`
`getValue(MarkerItem item)`
`final void`
`setConfigurationElement(IConfigurationElement element)`
Set the configuration element used by the receiver.
`final void`
`setImageManager(ResourceManager manager)`
Set the imageManager.
`String`
`toString()`
`void`
`update(ViewerCell cell)`
Update the contents of the cell.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MarkerField

public MarkerField()

## Method Details

### annotateImage

public Image annotateImage(MarkerItem item, Image image)
Annotate the image with indicators for whether or not help or quick fix are available.

Parameters:
  `item` - the item being decorated
  `image` - the image being overlaid
Returns:
  Image

### compare

public int compare(MarkerItem item1, MarkerItem item2)
Compare item1 and item2 for sorting purposes.

Parameters:
  `item1` - first item
  `item2` - second item
Returns:
  Either:
  - a negative number if the value of item1 is less than the value of item2 for this field.
  - `0` if the value of item1 and the value of item2 are equal for this field.
  - a positive number if the value of item1 is greater than the value of item2 for this field.
See Also:
  - `Comparable.compareTo(Object)`

### getColumnHeaderImage

public Image getColumnHeaderImage()

Returns:
  The image to be displayed in the column header for this field or `null`.

### getColumnHeaderText

public String getColumnHeaderText()
Return the text to be displayed in the column header for this field.

Returns:
  String
See Also:
  - `this is the default column tooltip text`

### getName

public String getName()
Return the name of this field.

Returns:
  String
Since:
  3.6

### getColumnTooltipText

public String getColumnTooltipText()
Return the text for the column tooltip.

Returns:
  String
See Also:
  - `getColumnHeaderText()`

### getConfigurationElement

public final IConfigurationElement getConfigurationElement()
Get the configuration element for the receiver. This is used by the markerSupport internals to retrieve the values defined in the extension.

Returns:
  IConfigurationElement

### getDefaultColumnWidth

public int getDefaultColumnWidth(Control control)
Get the number of characters that should be reserved for the receiver.

Parameters:
  `control` - the control to scale from
Returns:
  int

### getEditingSupport

public EditingSupport getEditingSupport(ColumnViewer viewer)
Return the editing support for entries for this field. Return null if it cannot be in-line edited.

Parameters:
  `viewer` - the viewer this will be applied to
Returns:
  `EditingSupport` or `null`.

### getImageManager

protected ResourceManager getImageManager()
Return the image manager used by the receiver.

Returns:
  ResourceManager

### getValue

public abstract String getValue(MarkerItem item)

Parameters:
  `item` - the object
Returns:
  The String value of the object for this particular field to be displayed to the user.

### setConfigurationElement

public final void setConfigurationElement(IConfigurationElement element)
Set the configuration element used by the receiver.

Parameters:
  `element` - the element

### setImageManager

public final void setImageManager(ResourceManager manager)
Set the imageManager. This is not normally required to be send if using a `MarkerSupportView` as this is done for you.

Parameters:
  `manager` - the image manager

### update

public void update(ViewerCell cell)
Update the contents of the cell.

Parameters:
  `cell` - cell to update; not `null`

### toString

public String toString()

Overrides:
  `toString` in class `Object`